import { NamedEventQueue } from '@eppo/js-client-sdk-common';
export default class FileBackedNamedEventQueue<T> implements NamedEventQueue<T> {
    readonly name: string;
    private readonly queueDirectory;
    private readonly metadataFile;
    private eventKeys;
    constructor(name: string);
    splice(count: number): T[];
    isEmpty(): boolean;
    get length(): number;
    push(event: T): void;
    [Symbol.iterator](): IterableIterator<T>;
    shift(): T | undefined;
    private loadStateFromFile;
    private saveStateToFile;
    private generateEventKey;
    private getEventFilePath;
    private hashEvent;
}
//# sourceMappingURL=file-backed-named-event-queue.d.ts.map